Get payment systems for country
GET https://wallet.paysera.com/transfer/rest/v1/transfers/single-window-countries/{countryCode}/payment-systems
Get available payment systems for a specific country
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
countryCode | string | ✓ | Country code |
Example​
Request​
GET https://wallet.paysera.com/transfer/rest/v1/transfers/single-window-countries/{countryCode}/payment-systems
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
[
{
"code": "globus",
"name": "Globus Bank"
},
{
"code": "ria",
"name": "RIA Money Transfer"
}
]
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
RESPONSE
Successful response
[
{
"code": "globus",
"name": "Globus Bank"
},
{
"code": "ria",
"name": "RIA Money Transfer"
}
]